/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jdbi.v3.core.mapper.reflect;

import org.jdbi.v3.core.SampleBean;

/**
 * Like FieldMapperAccessTest, but on a bean with a private constructor.
 */
public class FieldMapperPrivateAccessTest extends FieldMapperAccessTest {

    protected Class<?> getBeanClass() {
        return PrivateSampleBean.class;
    }

    protected Class<?> getDerivedBeanClass() {
        return PrivateDerivedBean.class;
    }

    public static class PrivateSampleBean extends SampleBean {

        private PrivateSampleBean() {}
    }

    public static final class PrivateDerivedBean extends DerivedBean {

        private PrivateDerivedBean() {}
    }
}
